%undefine __cmake_in_source_build
%undefine __cmake3_in_source_build

%bcond_with static_boost_python


%bcond_without python3




%{!?python3_sitearch: %define python3_sitearch %(%{__python3} -c "from sysconfig import get_path; print(get_path('platlib'))")}

%global __provides_exclude_from ^((%{python2_sitearch})|(%{python3_sitearch})/.*\\.so)$

Name:               gfal2-python
Version:            1.12.2
Release:    1%{?dist}
Summary:            Python bindings for gfal 2
License:            ASL 2.0
URL:                http://dmc.web.cern.ch/
Source0:            %{name}-%{version}.tar.gz

BuildRequires:      gcc-c++
BuildRequires:      cmake3
BuildRequires:      gfal2-devel >= 2.22.0
BuildRequires:      boost-devel
%if 0%{?with_docs}
BuildRequires:      epydoc
%endif
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      boost-python%{python3_pkgversion}-devel

%global _description \
Python bindings for gfal2. \
GFAL2 offers an a single, simple and portable API \
for the file operations in grids and cloud environments.

%description %_description

%package -n python3-gfal2
Summary:            gfal2 python bindings for Python 3
Requires:           gfal2-core >= 2.22.0
Requires:           python3
Provides:           gfal2-python3 = %{version}-%{release}
Provides:           gfal2-python3 = %{version}-%{release}

%description -n python3-gfal2
Python 3 bindings for gfal2.
GFAL2 offers an a single, simple and portable API
for the file operations in grids and cloud environments.

%if 0%{?with_docs}
%package doc
Summary:            Documentation for %{name}
BuildArch:          noarch

%description doc
Documentation files for %{name}.
%endif

%clean
%cmake3_build --target clean

%prep
%setup -q

%build
gfal2_python_cmake_ver=`sed -n 's/^set *(VERSION_\(MAJOR\|MINOR\|PATCH\) *\([0-9]\+\).*/\2/p' CMakeLists.txt | paste -sd '.'`
gfal2_python_spec_ver=`expr "%{version}" : '\([0-9]*\\.[0-9]*\\.[0-9]*\)'`
if [ "$gfal2_python_cmake_ver=" != "$gfal2_python_spec_ver=" ]; then
    echo "The version in the spec file does not match the CMakeLists.txt version!"
    echo "$gfal2_python_cmake_ver!= %{version}"
    exit 1
fi

%cmake3 \
     -DDOC_INSTALL_DIR=%{_pkgdocdir} \
%if 0%{?with_static_boost_python}
     -DBoost_USE_STATIC_LIBS=ON \
%endif
%if 0%{?with_docs}
     -DBUILDDOCS=TRUE \
%endif
     -DUNIT_TESTS=TRUE

%cmake3_build

%if 0%{?with_docs}
%cmake3_build --target doc
%endif

%install
%cmake3_install


%files -n python3-gfal2
%{python3_sitearch}/gfal2.so
%doc LICENSE

%if 0%{?with_docs}
%files doc
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/RELEASE-NOTES
%{_pkgdocdir}/README
%{_pkgdocdir}/readme.html
%dir %{_pkgdocdir}/html
%dir %{_pkgdocdir}/examples
%{_pkgdocdir}/html/*
%{_pkgdocdir}/examples/*
%endif

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-1
- initial build
